$set n 500
$set f x.gdx

set
  i /1*%n%/
  j /v1*v%n%/
;


$gdxin %f%
parameter a(i,j);
$loaddc a

binary variable x(i,j);
variable z;

equations obj,assign1(i),assign2(j);

obj.. z =e= sum((i,j),a(i,j)*x(i,j));
assign1(i).. sum(j, x(i,j)) =e= 1;
assign2(j).. sum(i, x(i,j)) =e= 1;

model m /all/;
option limrow=0,limcol=0,solprint=off,rmip=gurobi;
solve m minimizing z using rmip;



